"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeTemplateReplaceContent = exports.SolutionFileName = exports.CodeTemplateFileName = exports.LocaleText = exports.LocaleEnum = void 0;
const leetcode_api_typescript_1 = require("leetcode-api-typescript");
var LocaleEnum;
(function (LocaleEnum) {
    LocaleEnum["en_US"] = "en_US";
    LocaleEnum["zh_CN"] = "zh_CN";
})(LocaleEnum = exports.LocaleEnum || (exports.LocaleEnum = {}));
exports.LocaleText = {
    [LocaleEnum.en_US]: "English",
    [LocaleEnum.zh_CN]: "简体中文",
};
const solutionPrefix = "solution";
function CodeTemplateFileName(langSlug) {
    return `${solutionPrefix}-${leetcode_api_typescript_1.LangSlug[langSlug]}.${(0, leetcode_api_typescript_1.LangExt)(langSlug)}`;
}
exports.CodeTemplateFileName = CodeTemplateFileName;
function SolutionFileName(langSlug, filename) {
    const prefix = filename ? filename : solutionPrefix;
    return `${prefix}.${(0, leetcode_api_typescript_1.LangExt)(langSlug)}`;
}
exports.SolutionFileName = SolutionFileName;
function CodeTemplateReplaceContent(langSlug) {
    switch (langSlug) {
        case leetcode_api_typescript_1.LangSlug.c:
        case leetcode_api_typescript_1.LangSlug.cpp:
        case leetcode_api_typescript_1.LangSlug.golang:
            return "// solution class";
        default:
            return "";
    }
}
exports.CodeTemplateReplaceContent = CodeTemplateReplaceContent;
//# sourceMappingURL=interface.js.map